function A = evra(cas,a,e,T0,W,i,w)
%
% A = evra(cas,a,e,T0)
%
%vpocet Mat A pro zadan cas
%

%

GM = 398.6005e12;

n = (GM / a^3)^0.5;

M = n * (cas - T0);

E = 0;
pom = 0.01;
while abs(E - pom) > 1e-9;
    pom = E;
    E = M + e * sin(E);
end

r = a * (1 - e * cos(E));

xyz = [
    a * (cos(E) - e)
    a * (1 - e^2)^0.5 * sin(E)
    0
];

% derivace

dr_dW = -dRz(-W) *   Rx(-i) *   Rz(-w) * xyz;

dr_di =   Rz(-W) * -dRx(-i) *   Rz(-w) * xyz;

dr_dw =   Rz(-W) *   Rx(-i) * -dRz(-w) * xyz;


dr_da = [
    cos(E) - e + (3/2) * (a / r) * M * sin(E)
    ((1 - e^2)^0.5) * (sin(E) - (3/2) * (a / r) * M * cos(E))
    0
];


dr_de = [
    -a * (1 + (a / r) * (sin(E))^2)
    (((a^2) * sin(E)) / (r * (1 - e^2)^0.5)) * (cos(E) - e)
    0
];


dr_dT0 = [
    (n * a^2 * sin(E)) / r
    -n * ((a^2)/r) * (1 - e^2)^0.5 * cos(E)
    0
];


Rdr_da = Rz(-W) *   Rx(-i) *   Rz(-w) * dr_da;

Rdr_de = Rz(-W) *   Rx(-i) *   Rz(-w) * dr_de;

Rdr_dT0 = Rz(-W) *   Rx(-i) *   Rz(-w) * dr_dT0;


A = [dr_dW , dr_di , dr_dw , Rdr_da , Rdr_de , Rdr_dT0];

