function gpsw_sec=mjd2gpsw(mjd)

  % function gpsw_sec=mjd2gpsw(mjd)
  %
  % PURPOSE    :  COMPUTE NUMBER OF SECONDS PAST MIDNIGHT OF LAST 
  %	 	  SATURDAY/SUNDAY AND GPS WEEK NUMBER OF CURRENT  
  %		  DATE GIVEN IN MODIFIED JULIAN DATE (DECIMAL NUMBER,
  %               EG. 52143.5)
  %
  % PARAMETERS :
  %         IN :  mjd      : MODIFIED JULIAN DATE            
  %
  %        OUT :  gpsw_sec : [GPS_WEEK_NUMBER GPS_SECOND]
  %

  deltat = mjd - 44244.0 ;

  % current gps week
  nweek = floor(deltat/7.0);

  % seconds past midnight of last weekend
  second = (deltat - (nweek)*7.0)*86400.0;

  gpsw_sec = [nweek second];
  
%end %_function