function xyz = xyz_druzice(cas,a,e,T0,W,i,w)
%
% xyz = xyz_druzice(cas,a,e,T0,W,i,w)
%


GM = 398.6005e12;

n = (GM / a^3)^0.5;

M = n * (cas - T0);

E = 0;
pom = 0.01;
while abs(E - pom) > 1e-9;
    pom = E;
    E = M + e * sin(E);
end

v = 2 * atan(((1 + e)/(1 - e))^0.5 * tan(E / 2));

r = a * (1 - e * cos(E));

xyz = r * [
    cos(v)
    sin(v)
    0
];

xyz = Rz(-W) * Rx(-i) * Rz(-w) * xyz;
